org.eclipse.debug.core.commands

## Interface IDisconnectHandler

All Superinterfaces:
  IDebugCommandHandler

    public interface IDisconnectHandler
    extends IDebugCommandHandler

A disconnect handler disconnects the debug user interface from a debug session. Typically a disconnect handler is supported by remote debuggers allowing the debug user interface to disconnect and the remote process to continue.

Clients may implement this interface. The debug platform provides a disconnect action that delegates to this handler interface. As well, the debug platform provides an implementation of the disconnect handler registered as an adapter on objects that implement `IDisconnect`.

Since:
  3.3

### Method Summary

### Methods inherited from interface org.eclipse.debug.core.commands.IDebugCommandHandler

`canExecute, execute`